#!/bin/bash

# Make sure they are from the correct directory
sourcedir="$( cd "$( dirname "$0" )" && pwd )"
# Make sure the bzrdefaults file actually exists...
if [ ! -f $sourcedir/bzrdefaults ]; then
	zenity --error --text="You have not got a $sourcedir/bzrdefaults file" --ellipsize
	exit 100
fi

# Make sure we have an ezbrz_otherrepos directory...
if [ ! -d $sourcedir/ezbrz_otherrepos ]; then
	# create it...
	mkdir $sourcedir/ezbrz_otherrepos
fi
# Make sure we have a defaults file...
if [ ! -f $sourcedir/ezbrz_otherrepos/default ]; then
	# and copy the default file into it...
	cp $sourcedir/bzrdefaults $sourcedir/ezbrz_otherrepos/default
fi	

cd $sourcedir/ezbrz_otherrepos/

# Get the list of available repos...

wantedrepo="$(ls -B -1 * | zenity --list --column='Repositories' --height=500)"
if [ "$?" = 0 ]; then
    # strip out the strings and make sure it's not empty...
	if [[ -n "${wantedrepo/[ ]*\n/}" ]]; then
        # Copy it over...
        cp $wantedrepo $sourcedir/bzrdefaults
        exit 0
    fi
fi

exit 152



