#!/bin/bash

# Install the easybreezy actions into the dreadful uca.xml
# file for Thunar. Note, we cannot later simply uninstall
# because Thunar decides to add an id for each entry.
# World stupid day... the joy of XML
if [ -d ~/.config/Thunar ]; then
    cd ~/.config/Thunar
    # Preserve the old one, just in case...
    # Only copy the file if the backup does not exist
    if [ -f uca_xml.bak ]; then
        echo "Already a backup file (uca_xml.bak) - not overwritten"
    else
        cp uca.xml uca_xml.bak
    fi

    # Copy the headers...
    grep  "<?xml encoding" uca.xml > uca_easy_hdr.tmp

    # Get shot of
    # <?xml encoding="UTF-8" version="1.0"?>
    # and
    # <actions>
    # and send the current contents as well.
    grep -v "<?xml encoding" uca.xml | grep -v "</actions>" > uca_easy.tmp

    # Rebuild the file
    mv uca_easy_hdr.tmp uca.xml
    cat uca_easy.tmp >> uca.xml
    # Add the easybreezy actions...
    cat easybreezythunar.xml >> uca.xml
    echo "</actions>" >> uca.xml
    rm uca_easy.tmp
    echo "EasyBreezy scripts installed. You will need to restart Thunar to see them."
else
    echo "The directory ~/.config/Thunar does not exist"
fi


