#!/bin/bash

# THIS NEEDS bzr explorer installed for qcheckout-ala-explorer to work

# Pull in our default values
# Make sure they are from the correct directory
sourcedir="$( cd "$( dirname "$0" )" && pwd )"
# Make sure the bzrdefaults file actually exists...
if [ ! -f $sourcedir/bzrdefaults ]; then
	zenity --error --text="You have not got a $sourcedir/bzrdefaults file" --ellipsize
	exit 100
fi
source $sourcedir/bzrdefaults
# Make sure we are not already controlled...
if [ -d "$1"/.bzr ]; then
	zenity --error --text="This directory ($1) is ALREADY a bzr-controlled project" --ellipsize
else
	# We need to ask for a username, password, new project number
	user="$(zenity --entry --title=$defaultrepo --text='Username' --entry-text=$(whoami))"
	if [ "$?" = 0 ]; then
		pass="$(zenity --password --title=$user@$defaultrepo --text='Password for project server')"
		if [ "$?" = 0 ]; then
			project="$(sshpass -p "$pass" ssh -C $user@$defaultrepo -p $defaultport -o StrictHostKeyChecking=no "ls $defaultrepodirbase" | zenity --list --column=$user@$defaultrepo --height=500)"
			if [ "$?" = 0 ]; then
				# strip out the strings and make sure it's not empty...
				if [[ -n "${project/[ ]*\n/}" ]]; then
					# at last, we can check out the project...
					# For the DISTANT URL, we need to replace spaces (well, it's easier)
					urlproject="${project// /_}"
					result="$(bzr qcheckout-ala-explorer bzr+ssh://"$user"@"$defaultrepo":"$defaultport""$defaultrepodirbase"/"$urlproject"/ "$1"/"$project" )"
				fi				
			else
				zenity --error --text="There was an ssh error or you clicked cancel" --ellipsize
			fi
		fi
	fi
fi



